Progmatically detect which version of ADO is installed.

With different versions of MDAC available it is sometimes useful to know that your application won't fail because a user hasn't got the latest version installed





The following function returns the ADO version installed, you need to place ComObj in the uses clause to use this function.



function GetADOVersion: Double;

var

  ADO: Variant;

begin

  try

    ADO := CreateOLEObject('adodb.connection');

    Result := StrToFloat(ADO.Version);

    ADO := Null;

  except

    Result := 0.0;

  end;

end;



To use this function try something like:



procedure TForm1.Button1Click(Sender: TObject);

const

  ADOVersionNeeded = 2.5;

begin

  if GetADOVersion < ADOVersionNeeded then



    ShowMessage('Need to install MDAC version 2.7')

  else

    ShowMessage(Format('ADO Version %n, is OK', [GetADOVersion]));

end;





regards



Simon Carter

Orcka Development

 

Share this article!

Follow us!

Find more helpful articles: